Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.gui
Class GUIProp

    java.lang.Object
      org.basex.gui.GUIProp

    public final class GUIProp

extends java.lang.Object

This class contains properties which are used in the GUI. They are initially read from and finally written to disk, except for the properties following the `SKIP` flag.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary
`static int` | `colorblue` Blue GUI color factor.
`static int` | `colorgreen` Green GUI color factor.
`static int` | `colorred` Red GUI color factor.
`static int[]` | `colorsloc` Dialog location.
`static java.lang.String[]` | `commands` Last command inputs.
`static java.lang.String` | `createpath` Path for creating new XML Documents.
`static boolean` | `execrt` Flag for realtime context switch.
`static boolean` | `filterrt` Flag for realtime context switch.
`static java.lang.String` | `font` Default GUI Font.
`static int` | `fontalias` Anti-aliasing mode.
`static int` | `fontsize` Font size.
`static int[]` | `fontsloc` Dialog location.
`static int` | `fonttype` Font type = plain, bold, italics).
`static boolean` | `fsall` Flag for importing complete file system hierarchy.
`static boolean` | `fullscreen` Fullscreen flag.
`static java.lang.String` | `guibackingroot` Name of the backingroot.
`static java.lang.String` | `guifsdbname` Name of the filesystem database.
`static java.lang.String` | `guifsimportpath` Path for importing the file system.
`static int[]` | `guiloc` GUI position.
`static java.lang.String` | `guimountpoint` Name of the mountpoint.
`static int[]` | `guisize` GUI height.
`static int[]` | `helploc` Dialog location.
`static int[]` | `helpsize` Dialog size.
`static boolean` | `javalook` Flag for Java look and feel.
`static java.lang.String` | `layoutclosed` GUI Layout.
`static java.lang.String` | `layoutopened` GUI Layout.
`static int` | `mapalgo` Map algorithm.
`static boolean` | `mapatts` Show attributes in treemap.
`static boolean` | `mapfs` Shows real file contents in the treemap.
`static boolean` | `mapinfo` Flag for computing additional map infos.
`static int` | `mapinteraction` Choice of interacting with TreeeMap.
`static int[]` | `maplayoutloc` Dialog location.
`static int` | `mapoffsets` Treemap Offsets.
`static boolean` | `mapsimple` divide rectangles uniformly on each level.
`static int` | `mapweight` number of child <-> size weighting in (0;100).
`static boolean` | `maxstate` Flag for maximized GUI window.
`static java.lang.String` | `monofont` Default GUI Monospace Font.
`static boolean` | `mousefocus` Focus follows mouse.
`static int` | `plotdots` Dot sizes in plot.
`static boolean` | `plotxlog` Logarithmic plot.
`static boolean` | `plotylog` Logarithmic plot.
`static java.lang.String[]` | `search` Last keyword inputs.
`static int` | `searchmode` Current input mode in global text field (Search, XQuery, Command).
`static boolean` | `showbuttons` Flag for displaying buttons in the GUI window.
`static boolean` | `showfolder` Flag for activated tree view.
`static boolean` | `showhelp` Flag for activated help view.
`static boolean` | `showinfo` Flag for activated info view.
`static boolean` | `showinput` Flag for displaying the text field in the GUI window.
`static boolean` | `showmap` Flag for activated map view.
`static boolean` | `showmenu` Flag for displaying the menu in the GUI window.
`static boolean` | `shownames` Flag for dissolving name attributes.
`static boolean` | `showplot` Flag for activated plot view.
`static boolean` | `showquery` Flag for activated search view.
`static boolean` | `showstarttext` Flag for activated result view after starting.
`static boolean` | `showstatus` Flag for displaying the status bar in the GUI window.
`static boolean` | `showtable` Flag for activated table view.
`static boolean` | `showtext` Flag for activated result view.
`static boolean` | `simplefd` Flag for showing the simple file dialog.
`static boolean` | `SKIP` Following options are not saved/read; don't remove this flag.
`static java.lang.String` | `xqpath` Path for XQuery files.
`static java.lang.String[]` | `xquery` Last XQuery inputs.

Method Summary
`static void` | `read()` Reads in the GUI configuration file and initializes the properties.
`static void` | `write()` Writes the configuration file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### font

    public static java.lang.String font

  Default GUI Font.

### monofont

    public static java.lang.String monofont

  Default GUI Monospace Font.

### fonttype

    public static int fonttype

  Font type = plain, bold, italics).

### fontsize

    public static int fontsize

  Font size.

### fontalias

    public static int fontalias

  Anti-aliasing mode.

### colorred

    public static int colorred

  Red GUI color factor.

### colorgreen

    public static int colorgreen

  Green GUI color factor.

### colorblue

    public static int colorblue

  Blue GUI color factor.

### guisize

    public static int[] guisize

  GUI height.

### guiloc

    public static int[] guiloc

  GUI position.

### maxstate

    public static boolean maxstate

  Flag for maximized GUI window.

### showbuttons

    public static boolean showbuttons

  Flag for displaying buttons in the GUI window.

### showinput

    public static boolean showinput

  Flag for displaying the text field in the GUI window.

### showstatus

    public static boolean showstatus

  Flag for displaying the status bar in the GUI window.

### layoutclosed

    public static java.lang.String layoutclosed

  GUI Layout.

### layoutopened

    public static java.lang.String layoutopened

  GUI Layout.

### showinfo

    public static boolean showinfo

  Flag for activated info view.

### showmap

    public static boolean showmap

  Flag for activated map view.

### showtable

    public static boolean showtable

  Flag for activated table view.

### showtext

    public static boolean showtext

  Flag for activated result view.

### showfolder

    public static boolean showfolder

  Flag for activated tree view.

### showquery

    public static boolean showquery

  Flag for activated search view.

### showplot

    public static boolean showplot

  Flag for activated plot view.

### javalook

    public static boolean javalook

  Flag for Java look and feel.

### shownames

    public static boolean shownames

  Flag for dissolving name attributes.

### mousefocus

    public static boolean mousefocus

  Focus follows mouse.

### simplefd

    public static boolean simplefd

  Flag for showing the simple file dialog.

### searchmode

    public static int searchmode

  Current input mode in global text field (Search, XQuery, Command).

### filterrt

    public static boolean filterrt

  Flag for realtime context switch.

### execrt

    public static boolean execrt

  Flag for realtime context switch.

### mapatts

    public static boolean mapatts

  Show attributes in treemap.

### mapoffsets

    public static int mapoffsets

  Treemap Offsets.

### mapalgo

    public static int mapalgo

  Map algorithm.

### mapweight

    public static int mapweight

  number of child <-> size weighting in (0;100).

### mapsimple

    public static boolean mapsimple

  divide rectangles uniformly on each level.

### plotdots

    public static int plotdots

  Dot sizes in plot.

### plotxlog

    public static boolean plotxlog

  Logarithmic plot.

### plotylog

    public static boolean plotylog

  Logarithmic plot.

### maplayoutloc

    public static int[] maplayoutloc

  Dialog location.

### fontsloc

    public static int[] fontsloc

  Dialog location.

### colorsloc

    public static int[] colorsloc

  Dialog location.

### helploc

    public static int[] helploc

  Dialog location.

### helpsize

    public static int[] helpsize

  Dialog size.

### createpath

    public static java.lang.String createpath

  Path for creating new XML Documents.

### xqpath

    public static java.lang.String xqpath

  Path for XQuery files.

### guifsimportpath

    public static java.lang.String guifsimportpath

  Path for importing the file system.

### guifsdbname

    public static java.lang.String guifsdbname

  Name of the filesystem database.

### guimountpoint

    public static java.lang.String guimountpoint

  Name of the mountpoint.

### guibackingroot

    public static java.lang.String guibackingroot

  Name of the backingroot.

### fsall

    public static boolean fsall

  Flag for importing complete file system hierarchy.

### commands

    public static java.lang.String[] commands

  Last command inputs.

### search

    public static java.lang.String[] search

  Last keyword inputs.

### xquery

    public static java.lang.String[] xquery

  Last XQuery inputs.

### SKIP

    public static final boolean SKIP

  Following options are not saved/read; don't remove this flag.

  See Also:
    Constant Field Values

### showmenu

    public static boolean showmenu

  Flag for displaying the menu in the GUI window.

### showhelp

    public static boolean showhelp

  Flag for activated help view.

### showstarttext

    public static boolean showstarttext

  Flag for activated result view after starting.

### fullscreen

    public static boolean fullscreen

  Fullscreen flag.

### mapinfo

    public static boolean mapinfo

  Flag for computing additional map infos.

### mapfs

    public static boolean mapfs

  Shows real file contents in the treemap.

### mapinteraction

    public static int mapinteraction

  Choice of interacting with TreeeMap.

Method Detail

### read

    public static void read()

  Reads in the GUI configuration file and initializes the properties. The file is located in the user's home directory.

### write

    public static void write()

  Writes the configuration file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD